Skip to main content
GET
/
platform
/
pipeline-api
List pipelines
curl --request GET \
  --url https://api.covalenthq.com/platform/pipeline-api/ \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "items": [
      {
        "id": "pipe_3e8678c5fc9e48a7bf9879ca729",
        "name": "From Base Swap to Postgres",
        "project": "pipeline-api-hr-1wk-unbounded",
        "description": "Base swaps, unbounded",
        "topic": "base.mainnet.ref.block.swap.v3",
        "destination_type": "postgres",
        "destination_config": {
          "type": "<string>",
          "url": "<string>",
          "user": "<string>",
          "password": "<string>"
        },
        "transforms": {
          "swaps": "SELECT chain_name, block_height, tx_hash FROM swaps WHERE protocol = 'uniswap_v3'"
        },
        "execution_mode": "bounded",
        "execution_start_from": "44745000",
        "execution_stop_from": "",
        "abi_file": {},
        "abi_contract_addresses": [
          "<string>"
        ],
        "abi_unmatched": "",
        "status": "running",
        "created_by": {
          "id": "user_fb22f43e38ac44edabc7f566c5d",
          "email": "[email protected]",
          "display_name": "<string>",
          "full_name": "<string>"
        },
        "group": {
          "id": "group_d632592ddbde4a499452d25b",
          "name": "<string>",
          "slug": "<string>",
          "is_paid": true,
          "is_over_limit": true,
          "is_free_trial_expired": true
        },
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    ],
    "pagination": {
      "page_number": 123,
      "page_size": 123,
      "total_count": 123,
      "has_more": true
    },
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "error": true,
  "error_message": "<string>",
  "error_code": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://goldrush.dev/docs/llms.txt

Use this file to discover all available pages before exploring further.

Pipeline REST endpoints require a ServiceKey. Regular GoldRush API keys are rejected with 403. See Service Keys for how to create one.
Pipelines are scoped to the group of the ServiceKey. Sensitive fields inside destination_config (passwords, tokens) are masked as ****** on read.

Authorizations

Authorization
string
header
required

Pipeline REST endpoints require a ServiceKey. Regular GoldRush API keys are rejected with 403. See Service Keys.

Query Parameters

page_number
integer
default:1

Page number, 1-indexed.

Required range: x >= 1
page_size
integer
default:100

Number of pipelines to return per page.

Required range: 1 <= x <= 100

Response

Paginated list of pipelines.

data
object
error
boolean
error_message
string | null
error_code
string | null